package com.casic.dcms.model;

import java.util.List;

public class CaseNextNodeBean {

    private int code;
    private String message;
    private boolean success;
    private List<DataBean> data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {

        private String approvalResult;
        private String currTask;
        private String id;
        private String isShow;
        private String nextOperation;
        private int nextState;
        private String operation;
        private String operationKey;
        private int state;

        public String getApprovalResult() {
            return approvalResult;
        }

        public void setApprovalResult(String approvalResult) {
            this.approvalResult = approvalResult;
        }

        public String getCurrTask() {
            return currTask;
        }

        public void setCurrTask(String currTask) {
            this.currTask = currTask;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getIsShow() {
            return isShow;
        }

        public void setIsShow(String isShow) {
            this.isShow = isShow;
        }

        public String getNextOperation() {
            return nextOperation;
        }

        public void setNextOperation(String nextOperation) {
            this.nextOperation = nextOperation;
        }

        public int getNextState() {
            return nextState;
        }

        public void setNextState(int nextState) {
            this.nextState = nextState;
        }

        public String getOperation() {
            return operation;
        }

        public void setOperation(String operation) {
            this.operation = operation;
        }

        public String getOperationKey() {
            return operationKey;
        }

        public void setOperationKey(String operationKey) {
            this.operationKey = operationKey;
        }

        public int getState() {
            return state;
        }

        public void setState(int state) {
            this.state = state;
        }
    }
}
